<?php

/**
 * This class defines the destinations
 *
 * @author Keltek
 *
 */
class cDestinations {
	/** Place of records on internal disk */
	const INTREC_DIR = '/tmp/hddmedia/REC';
	/** Place of records on external disk */
	const EXTREC_DIR = '/tmp/usbmounts/sdb1/REC';
	/** Place of records on USB disk */
	const USBREC_DIR = '/tmp/usbmounts/sdb/REC';

	const DESTKEY_DIR = 'directory';
	const DESTKEY_HTTP = 'httplink';
	const DESTKEY_FTP = 'ftplink';

	private static $directories = array(
			array(
				self::DESTKEY_DIR => self::INTREC_DIR, self::DESTKEY_HTTP => '/REC', self::DESTKEY_FTP => self::INTREC_DIR
			),
			array(
				self::DESTKEY_DIR => self::EXTREC_DIR, self::DESTKEY_HTTP => '/RECext', self::DESTKEY_FTP => self::EXTREC_DIR
			),
			array(
				self::DESTKEY_DIR => self::USBREC_DIR, self::DESTKEY_HTTP => '/RECusb', self::DESTKEY_FTP => self::USBREC_DIR
			)
	);

	public static function getDestinations() {
		return cDestinations::$directories;
	}

}
